### Class

# St Settings

since: 14

#### Description

    final class St.Settings : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 14

#### Ancestors

- GObject

#### Functions

###### st_settings_get

Gets the global `StSettings` object.

since: 14

#### Instance methods

###### st_settings_inhibit_animations

No description available.

since: 14

###### st_settings_uninhibit_animations

No description available.

since: 14

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### St.Settings:color-scheme

The preferred color-scheme.

since: 14

###### St.Settings:disable-show-password

Whether password showing can be locked down.

since: 14

###### St.Settings:drag-threshold

The threshold before a drag operation begins.

since: 14

###### St.Settings:enable-animations

Whether animations are enabled.

since: 14

###### St.Settings:font-name

The current font name.

since: 14

###### St.Settings:gtk-icon-theme

The current GTK icon theme.

since: 14

###### St.Settings:high-contrast

Whether the accessibility high contrast mode is enabled.

since: 14

###### St.Settings:magnifier-active

Whether the accessibility magnifier is active.

since: 14

###### St.Settings:primary-paste

Whether pasting from the `PRIMARY` selection is supported (eg. middle-click paste).

since: 14

###### St.Settings:slow-down-factor

The slow-down factor applied to all animation durations.

since: 14

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct StSettingsClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.